<div class="ui grid container" >
    <div class="ui four column divided grid">
        <form class="ui form" [formGroup]=registerForm (ngSubmit)="onRegisterFormSubmit()">
            <div class="required field">
                <label>Username:</label>
                <input type="text" formControlName="username">
            </div>
        
            <div class="ui negative message" *ngIf="usernameHasErrors()">
                <ul>
                    <li *ngFor="let message of usernameErrors()">{{message}}</li>
                </ul>
            </div>
        
            <div class="required field">
                <label>Password:</label>
                <input type="password" formControlName="password">
            </div>
        
            <div class="ui negative message" *ngIf="passwordHasErrors()">
                <ul>
                    <li *ngFor="let message of passwordErrors()">{{message}}</li>
                </ul>
            </div>
        
            <div class="required field">
                <label>Confirm password:</label>
                <input type="password" formControlName="confirmPassword">
            </div>
        
            <div class="ui negative message" *ngIf="passwordsNotMatching()">
                <p>Passwords not matching.</p>
            </div>
        
            <div class="required field">
                <label>Email:</label>
                <input type="email" formControlName="email">
            </div>
        
            <div class="ui negative message" *ngIf="emailHasErrors()">
                <ul>
                    <li *ngFor="let message of emailErrors()">{{message}}</li>
                </ul>
            </div>
        
            <div class="required field">
                <label>Name:</label>
                <input type="text" formControlName="name">
            </div>
        
            <div class="ui negative message" *ngIf="nameHasErrors()">
                <ul>
                    <li *ngFor="let message of nameErrors()">{{message}}</li>
                </ul>
            </div>
        
            <div class="required field">
                <label>Last name:</label>
                <input type="text" formControlName="lastName">
            </div>
        
            <div class="ui negative message" *ngIf="lastNameHasErrors()">
                <ul>
                    <li *ngFor="let message of lastNameErrors()">{{message}}</li>
                </ul>
            </div>
        
            <button class="ui fluid button" type="submit">Register</button>
        
            <div class="ui segment">
                <div class="ui center aligned container">
                    <p>Already have account?</p>
                    <a routerLink='/login'>Login</a>
                </div>
            </div>
        </form>

        
    </div>
</div>


